//+------------------------------------------------------------------+
//|                                                 FastFile_Example |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006-2012"
#property version		"1.00"

#include <FastFile.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   CFastFile *h=new CFastFile; //   

   h.WriteDouble(123);              //  double  (8 )
   h.WriteInteger(456, INT_VALUE);  //  int  (4 )
   h.WriteChar(char(100));          //   (1 )
   uint n=h.WriteString("Hello FastFile Object!"); //      

   h.Save("dump.txt");     //       
   h.Clear();              // 
   h.Load("dump.txt");     //    

   Print("read double= "+string(h.ReadDouble()));         //  double 
   Print("read integer= "+string(h.ReadInteger()));       //  int  
   Print("read char= "+string(h.ReadChar()));             //  
   Print("read string["+string(n)+"]= "+h.ReadString(n)); //    n 

   delete h; //  
  }
//------------------------------------------------------------------